#!/bin/sh
#-----------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# IBM Tape System Library Manager
#
# (C) Copyright IBM Corp. 2004, 2020 All Rights Reserved
#
# US Government Users Restricted Rights - Use,  duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#-----------------------------------------------------------------------
#
# @version 1.8 - 20/03/18 22:03:49
#
# @brief
#
#  The following three lines have been added by UDB DB2.
#
#-----------------------------------------------------------------------

if [ ! -e ~/tslmprofile ]; then
    echo "This script must be run with TSLM user account. ('ermm' for example)"
    exit 1
fi

echo "IBM Tape System Library Manager"
echo "Licensed Materials - Property of IBM"
echo "(C) Copyright IBM Corp. 2004, 2020 All Rights Reserved"
echo


# This script must run by ermm user
if [ "$USER" != "$TSLM_USER" ]; then
    echo "This script must be run with $TSLM_USER account."
    exit 1
fi


if [ -f $INSTHOME/sqllib/db2profile ]; then
    . $INSTHOME/sqllib/db2profile
fi
LOG=$TSLM_BASEDIR/log/tslmdbmaintain.log
DATABASE=ermm
TABLE=
db2 connect to $DATABASE >$LOG

# table message
TABLE=M_MESSAGE
echo "maintaining table $TABLE"| tee -a $LOG
db2 "reorg table $TABLE"| tee -a $LOG
db2 "reorg indexes all for table $TABLE"| tee -a $LOG
#db2 "runstats on table $TABLE"| tee -a $LOG
db2 "runstats on table $TABLE AND INDEXES ALL"| tee -a $LOG

# table drivecartridgeaccess
TABLE=M_DRIVECARTRIDGEACCESS
echo "maintaining table $TABLE"| tee -a $LOG
db2 "reorg table $TABLE"| tee -a $LOG
db2 "reorg indexes all for table $TABLE"| tee -a $LOG
db2 "runstats on table $TABLE AND INDEXES ALL"| tee -a $LOG

# table volume
TABLE=M_VOLUME
echo "maintaining table $TABLE"| tee -a $LOG
db2 "reorg table $TABLE"| tee -a $LOG
db2 "reorg indexes all for table $TABLE"| tee -a $LOG
db2 "runstats on table $TABLE AND INDEXES ALL"| tee -a $LOG

# table gca
TABLE=M_GCA
echo "maintaining table $TABLE"| tee -a $LOG
db2 "reorg table $TABLE"| tee -a $LOG
db2 "reorg indexes all for table $TABLE"| tee -a $LOG
db2 "runstats on table $TABLE AND INDEXES ALL"| tee -a $LOG

db2 connect reset| tee -a $LOG
echo "Done."
exit 0
