#!/bin/sh
#-----------------------------------------------------------------------
# Licensed Materials - Property of IBM
#
# IBM Tape System Library Manager
#
# (C) Copyright IBM Corp. 2004, 2020 All Rights Reserved
#
# US Government Users Restricted Rights - Use,  duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#-----------------------------------------------------------------------
#
# @version 1.8 - 20/03/18 22:03:52
#
# @brief
#
#  The following three lines have been added by UDB DB2.
#
#-----------------------------------------------------------------------

if [ ! -e ~/tslmprofile ]; then
    echo "This script must be run with TSLM user account. ('ermm' for example)"
    exit 1
fi

echo "IBM Tape System Library Manager"
echo "Licensed Materials - Property of IBM"
echo "(C) Copyright IBM Corp. 2004, 2020 All Rights Reserved"
echo


# This script must run by ermm user
if [ "$USER" != "$TSLM_USER" ]; then
    echo "This script must be run with $TSLM_USER account."
    exit 1
fi


# check if the Media Manager is running 
MMRUN=$(ps -ef | awk '{print $8}' | grep "^$TSLM_BASEDIR/bin/MediaManager" )
if [ ! -z "$MMRUN" ]
then
    echo "Stop the Media Manager before the rollforward." 
    exit 2
fi


if [ -f $INSTHOME/sqllib/db2profile ]; then
    . $INSTHOME/sqllib/db2profile
fi
LOG=$TSLM_BASEDIR/log/tslmdbrollforward.log

db2 "rollforward database ermm to end of logs and complete" | tee $LOG 2>&1 

echo "Done."
exit 0
